## PlumaTab

PlumaTab

## Functions

PlumaView * | pluma_tab_get_view ()
PlumaDocument * | pluma_tab_get_document ()
PlumaTab * | pluma_tab_get_from_document ()
PlumaTabState | pluma_tab_get_state ()
gboolean | pluma_tab_get_auto_save_enabled ()
void | pluma_tab_set_auto_save_enabled ()
gint | pluma_tab_get_auto_save_interval ()
void | pluma_tab_set_auto_save_interval ()

## Properties

gboolean | autosave | Read / Write
int | autosave-interval | Read / Write
char * | name | Read
PlumaTabState | state | Read

## Types and Values

enum | PlumaTabState
| PlumaTabPrivate
struct | PlumaTab

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── PlumaTab

## Implemented Interfaces

PlumaTab implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

## Functions

### pluma_tab_get_view ()

    PlumaView *
    pluma_tab_get_view (PlumaTab *tab);

Gets the PlumaView inside `tab` .

#### Parameters

tab | a PlumaTab |

#### Returns

the PlumaView inside `tab` .

[transfer none]

### pluma_tab_get_document ()

    PlumaDocument *
    pluma_tab_get_document (PlumaTab *tab);

Gets the PlumaDocument associated to `tab` .

#### Parameters

tab | a PlumaTab |

#### Returns

the PlumaDocument associated to `tab` .

[transfer none]

### pluma_tab_get_from_document ()

    PlumaTab *
    pluma_tab_get_from_document (PlumaDocument *doc);

Gets the PlumaTab associated with `doc` .

#### Parameters

doc | a PlumaDocument |

#### Returns

the PlumaTab associated with `doc` .

[transfer none]

### pluma_tab_get_state ()

    PlumaTabState
    pluma_tab_get_state (PlumaTab *tab);

Gets the PlumaTabState of `tab` .

#### Parameters

tab | a PlumaTab |

#### Returns

the PlumaTabState of `tab`

### pluma_tab_get_auto_save_enabled ()

    gboolean
    pluma_tab_get_auto_save_enabled (PlumaTab *tab);

Gets the current state for the autosave feature

#### Parameters

tab | a PlumaTab |

#### Returns

`TRUE` if the autosave is enabled, else `FALSE`

### pluma_tab_set_auto_save_enabled ()

    void
    pluma_tab_set_auto_save_enabled (PlumaTab *tab,
                                     gboolean enable);

Enables or disables the autosave feature. It does not install an autosave timeout if the document is new or is read-only

#### Parameters

tab | a PlumaTab |
enable | enable (`TRUE`) or disable (`FALSE`) auto save |

### pluma_tab_get_auto_save_interval ()

    gint
    pluma_tab_get_auto_save_interval (PlumaTab *tab);

Gets the current interval for the autosaves

#### Parameters

tab | a PlumaTab |

#### Returns

the value of the autosave

### pluma_tab_set_auto_save_interval ()

    void
    pluma_tab_set_auto_save_interval (PlumaTab *tab,
                                      gint interval);

Sets the interval for the autosave feature. It does nothing if the interval is the same as the one already present. It removes the old interval timeout and adds a new one with the autosave passed as argument.

#### Parameters

tab | a PlumaTab |
interval | the new interval |

## Types and Values

### enum PlumaTabState

#### Members

PLUMA_TAB_STATE_NORMAL |  |
PLUMA_TAB_STATE_LOADING |  |
PLUMA_TAB_STATE_REVERTING |  |
PLUMA_TAB_STATE_SAVING |  |
PLUMA_TAB_STATE_PRINTING |  |
PLUMA_TAB_STATE_PRINT_PREVIEWING |  |
PLUMA_TAB_STATE_SHOWING_PRINT_PREVIEW |  |
PLUMA_TAB_STATE_GENERIC_NOT_EDITABLE |  |
PLUMA_TAB_STATE_LOADING_ERROR |  |
PLUMA_TAB_STATE_REVERTING_ERROR |  |
PLUMA_TAB_STATE_SAVING_ERROR |  |
PLUMA_TAB_STATE_GENERIC_ERROR |  |
PLUMA_TAB_STATE_CLOSING |  |
PLUMA_TAB_STATE_EXTERNALLY_MODIFIED_NOTIFICATION |  |
PLUMA_TAB_NUM_OF_STATES |  |

### PlumaTabPrivate

    typedef struct _PlumaTabPrivate PlumaTabPrivate;

### struct PlumaTab

    struct PlumaTab;

## Property Details

### The `“autosave”` property

      “autosave”                 gboolean

Autosave feature.

Owner: PlumaTab

Flags: Read / Write

Default value: TRUE

### The `“autosave-interval”` property

      “autosave-interval”        int

Time between two autosaves.

Owner: PlumaTab

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“name”` property

      “name”                     char *

The tab's name.

Owner: PlumaTab

Flags: Read

Default value: NULL

### The `“state”` property

      “state”                    PlumaTabState

The tab's state.

Owner: PlumaTab

Flags: Read

Default value: PLUMA_TAB_STATE_NORMAL